QGIS Application - Feature request #12126
Export/Print Print Composers from the command line
2015-02-04 06:59 AM - Samuel Ingarfield

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20320
Description

Often, | have projects with many print composers defined. These projects involve dynamic data that changes frequently (pulled from some
backend database). It would be good if there were a way to export print composers (which have been previously defined) from the
command line, so that this can be batch/shell scripted.

Something like
qgis --export-print-composer name-of-composer -f pdf -0 output-file.pdf

History

#1 - 2015-02-04 08:11 AM - Giovanni Manghi
- Target version set to Future Release - Nice to have
- Category set to Map Composer/Printing

#2 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
